# -*- coding: utf-8 -*-
"""Created on 29.10"""
__author__ = "Trygve B. Nomeland"
__email__ = "trygve.borte.nomeland@nmbu.no"

import numpy
import matplotlib.pyplot as plot
def main():
    with open('pan.csv', 'r') as f:
        data = numpy.array([[float(y) for y in x.split(',')[1:]] for x in f.readlines()[1:]])

    fig, ax = plot.subplots()
    ax.plot(range(len(data)), data)
    
    plot.style.use('ggplot')
    plot.grid(True)
    plot.title('Pandemi')
    plot.xlabel('dager')
    plot.ylabel('Andel av befolkning')
    plot.legend(['Susceptible', 'Infectious', 'Recoverd'])
    plot.show()
    
if __name__ == '__main__':
    main()

"""
1) Omtrent hvor stor andel av befolkningen er smittet/syk samtidig, på det meste?
    Ca. 40% av befolkningen er smittet/syke på det meste.

2)Etter omtrent hvor mange dager har de fleste blitt frisk igjen?
    Etter ca. 70 dager er antall "Recoverd" over 50%
"""